Subject: Linux-Development Digest #173
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Wed, 14 Sep 94 15:13:39 EDT

Linux-Development Digest #173, Volume #2         Wed, 14 Sep 94 15:13:39 EDT

Contents:
  Re: 320x200 X resolution? (Stephen Collyer)
  Kernel Problems? ([email-masked])
  Wanted: Device driver for POWERPORTS ([email-masked])
  Re: Sound Problems with SW32 (Hannu Savolainen)
  Re: General Linux Development (Alan Cox)
  DOSEMU 0.52 and newer Linux kernels (Bob Doolittle)
  Re: Survey: who wants f77,cc,c++,hpf for linux? (Dan Pop)
  Re: VHDL for Linux...? (Norley Liu)
  Is there an encrypted filesystem for Linux? (Denis Constales)
  Re: VHDL for Linux...? (Frederic POTTER)
  inb(),outb()--help? (Steve Larsen)
  Re: AX25 & KISS Amateur Radio Protocols in Linux?? (Mark Evans)
  G++ using too much memory?!? (Marc L. Allen)
  Re: Acid (Richard L. Goerwitz)
  Re: /proc/mtab progress (Davor Jadrijevic)
  Re: Survey: who wants f77,cc,c++,hpf for linux? (Alan Cox)
  LILO with >1.44Mb floppies (Julian Edwards)
  Wanted: DAT Scsi Driver. (Werner Fouche)
  AX25 & KISS Amateur Radio Protocols in Linux?? (Bart Kindt)

----------------------------------------------------------------------------

From: [email-masked] (Stephen Collyer)
Crossposted-To: comp.os.linux.misc
Subject: Re: 320x200 X resolution?
Date: 14 Sep 1994 13:00:56 GMT

|> Orest Zborowski ([email-masked]) wrote:
|> 
|> : For running DOOM, I use the XF86_SVGA server and chipset "generic"
|> : with a stock VGA 320x200 modes line:
|> : "320x200"       25      320 344 376 400         200 204 206 225
|> 
|> : You can simply run the server, without any clients, and start linuxxdoom
|> : on a VT. Looks very nice!

I don't see how these values work. With a 25 MHz clock, with total V. lines =
400, and total H. lines 225, we're looking at a refresh rate of roughly

25E6 / (400 x 1.1 x 225 x 1.05) = 240 

This is way above the spec of any monitor I'm familiar with. Or am I missing 
something obvious ? 

Steve Collyer.

------------------------------

From: [email-masked]
Subject: Kernel Problems?
Date: Wed, 14 Sep 94 11:28:35 -0500

Hi Guyz.
 
Lately I have developed a problem on my system.  I was running version
1.1.28  of the kernel.  After running with no problems for several weeks the
system started to crash every night :(.  Since this started I have tried  up-
grading to 1.1.35 but that did not help any.
 
Here are the specs for the system:
  CMO 486Dx2/66
  32M RAM
  Future Domain TMC-1680
  Micropolis 1Gig HD
  1 Generic Multi I/O card
  1 2 1/2 FDD
  1 Boca BB2016 (16 port board)
  WangDAT Tape drive.
 
From the syslog and messages files in /var/adm I looked through some
of the errors.  They almost always have a different IEP listed.
Here is a list of a couple of them:
  00010003 (___get_free_pages)
  001249b0 (_find_buffer)
  00178216 (_rs_write)
  00119774 (_do_exit)
 
I got the function names from zSystem per instructions in README file.
 
If anyone can help me please send me a note, if you need ALL of the info from
 /var/adm/messages I can e-mail them, this damn news reader at delphi
ain't the best :).
 
Scott Nauer
Quincy University
[email-masked]

------------------------------

From: [email-masked]
Subject: Wanted: Device driver for POWERPORTS
Date: 14 Sep 94 14:35:24 GMT

Hi,

Does anyone know if there is a driver available for a Consensys
POWERPORTS 8 port serial card. I have salvaged one from an AT&T
PC and would like to use it under Linux.

Thanks in advance,

Terry

     *********    Terry Tanski, B.Sc.
    **********
   .      ****    Computing Services       Internet: [email-masked]
  ..      ****    Athabasca University        Phone: (403) 675-6339
 ....     ****    Box 10,000                    FAX: (403) 675-6333
..........****    Athabasca, Alberta CANADA

------------------------------

From: [email-masked] (Hannu Savolainen)
Subject: Re: Sound Problems with SW32
Date: Wed, 14 Sep 1994 13:23:19 GMT

[email-masked] (Sunny Yum) writes:

>I recently upgraded to v1.1.50 of the kernel from v1.0.7 and installed
>the new Voxware sound driver v3.0 alpha.  I have an Orchid SoundWave 32
>and configured the driver for Microsoft Sound System, Sound Blaster,
>and MPU-401 support as follows:

>MSS IRQ10, DMA0
>SB IRQ7, DMA1
>MIDI IRQ5

>The IRQs and DMAs, I am *sure*, are correct.

>The problem is that I am getting DMA timeouts whenever I try to do
>anything with the MSS sound.  "tracker" plays the first 3 seconds of
>a MOD over and over and over...  'cat sound.au > /dev/audio' results
>in the playing of the sound and then either a) hanging (terminate
>with a CTRL-C) or b) playing the sound and then piece(s) of *previous*
>sounds played on /dev/audio.  DOOM's sound, and rplay also fail to
>work properly with the driver/card.
The current MSS support in VoxWare is not perfect. There are some problems 
with the soft config registers for DMA and IRQ. For that reason some IRQ and
DMA combinations work and some other don't. I have been using a SG NX Pro 16
with DMA0 and IRQ10 but the same settings don't work with SW32.

If anybody knows how the config registers (base+0 to base+3) of the Windows
Sound System work, please contact me.

Hannu
-- 
=============================
Hannu Savolainen
[email-masked]
"Don't use Windows since there is a door!"

------------------------------

From: [email-masked] (Alan Cox)
Subject: Re: General Linux Development
Date: Wed, 14 Sep 1994 12:41:02 GMT

In article <[email-masked]> [email-masked] (Rich Deighton) writes:
>Are there any far reaching goals for Linux such that there is a point where
>the kernel is _finished_?  Will development just continue until the kernel
>suffers from severe featuritus?  

Featuritis is one thing I hope it doesn't develop. It's also one reason why
getting the kernel more modular important. Having a driver for everything
is all well and good so long as they can be downloaded seperately. The core
kernel certainly is far from finished in all respects. It lacks enough
loadable module support, the buffer cache needs cleaning up to handle 
non blockmapped filesystems (like NFS), the scheduler is a walking disaster
area, and the 1.1.x network as will go into 1.2.0 has some very naive
assumptions about drivers and can't cleanly layer protocols (this lot is
under work - I guess people are working on some of the others too). Those
I don't see as featuritis but definite improvements. 

I guess one thing that would be a good general project for someone wanting
to go kernel hacking would be to read through all the code spot and clean
up duplication and switch and improve algorithms where they stand out as
bad (again the scheduler comes to mind). Like IBM have squashed OS/2 for
2.2, to squash Linux.

Alan
-- 
  ..-----------,,----------------------------,,----------------------------,,
 // Alan Cox  //  [email-masked]   //  GW4PTS@GB7SWN.#45.GBR.EU  //
 ``----------'`----------------------------'`----------------------------''

------------------------------

From: [email-masked] (Bob Doolittle)
Subject: DOSEMU 0.52 and newer Linux kernels
Date: 14 Sep 94 12:11:34

I was able to lrun DOSEMU 0.52 with Linux 1.1.19, but now that I've
upgraded to 1.1.49, it simply hangs my system when I start it up.  Is this
a known problem?  I tried rebuilding 0.52 with the 1.1.49 headers in place,
but this seems to have had no effect.  If I switch to DOSEMU 0.53.pl19 will
this solve my problem?

-Bob
--

===============================================================================
Bob Doolittle                               Still Thinking Machines Corporation
(617) 234-2734                                                 245 First Street
[email-masked]                                               Cambridge, MA 02142
===============================================================================

------------------------------

Crossposted-To: comp.lang.fortran
From: [email-masked] (Dan Pop)
Subject: Re: Survey: who wants f77,cc,c++,hpf for linux?
Date: Wed, 14 Sep 1994 15:37:10 GMT

In <[email-masked]> [email-masked] writes:

>As for benchmarking GCC against 32bit DOS compilers - the context switching
>involved in running 32 bit compilers under a 16 bit O/S makes such a 
>difference that I don't understand how empirical comparisons can be 
>meaningful (unless you use the same extender for both compilers).

I can't imagine that the DOS extenders which come with the commercial
compilers are significantly less performant than the free DOS extender
that comes with DJGPP, so the comparison can still be made, running
all the executables under MSDOS, with their extenders.

Dan
--
Dan Pop 
CERN, CN Division
Email: [email-masked]
Mail:  CERN - PPE, Bat. 31 R-004, CH-1211 Geneve 23, Switzerland

------------------------------

From: [email-masked] (Norley Liu)
Crossposted-To: comp.os.linux.misc,comp.lsi.cad,comp.lang.vhdl
Subject: Re: VHDL for Linux...?
Date: 14 Sep 1994 14:07:14 GMT

In article <[email-masked]>, Don Hiatt <[email-masked]> wrote:
>ADA ([email-masked]) wrote:
>
>Yes there is. Get the Alliance-2.0 package. You can ftp the source
>from: ftp.ibp.fr
>You will find it in /ibp/softs/masi/alliance
>
>Alliance is aimed at VLSI synthesis but if that is not your goal
>you can still use the VHDL simulator.. BTW, it is a great package.
>
>don

Alliance covers so small subset of VHDL that it is virtually useless in
term of doing design using Alliance.  It may be a great tool to learn the VLSI
design-synthesis-layout-verification flow, but definitely not a VHDL
tool for design, IMHO.

Let me tell you what you can do in Alliance: Boolean functions, 
flip flops, muxes. That is all. No conditional statement (like if...then),
no sequential statement (like process), no file I/O (so don't expect to 
create test bench), and no arithmatic operations (like + - * /).  
Overall, you can not do behavioral modeling in Alliance.

Worset of all, all files in document directory were empty.

I wish I was wrong.  Using Alliance would save me $3K to buy Model 
Tech's package.  Again, it totally depends on what you are expecting out
of Alliance.  In term of a design modeling, I suggest you stay away
from Alliance.

Albert

------------------------------

From: [email-masked] (Denis Constales)
Subject: Is there an encrypted filesystem for Linux?
Date: 14 Sep 1994 13:37:15 GMT

Is there an encrypted file system for Linux? Now, anyone can boot
off a floppy, mount your file systems and read everything. Maybe someone
has patched the ext2fs so as to encrypt data before any write and decrypt
it after any read? (Actually, it's more complicated when the kernel is on
an encrypted file system, and obtaining the key at mount time might be
non trivial too).

Replies welcomed over Usenet or e-mail.

Cheers, D.C.
--
Dr. Denis Constales - finger [email-masked] for address, PGP key &c

------------------------------

From: [email-masked] (Frederic POTTER)
Crossposted-To: comp.os.linux.misc,comp.lsi.cad,comp.lang.vhdl
Subject: Re: VHDL for Linux...?
Date: 14 Sep 1994 13:22:11 GMT

And don't forget about the complete ALLIANCE tools

VHDL, logic synthesis, router, layout editor, layout extraction 
etc.....

just go at ftp.ibp.fr ( alliance sub-directory ) and get
or the sources, or the linux binaries for FREE..

O---------------------------------------------------------------O
|    +---+         , ,                                          |
|   / \ / \      Frederic POTTER : Equipe R-CUBE, Labo. MASI    |
|  /   /   \                       de l'Institut Blaise Pascal  |
| +---+ \   \                                                   |
|  \   \ +---+   Couloir 55-65, 2eme etage.                     | 
|   \   /   /                                                   |
|    \ / \ /     Universite Pierre et Marie Curie (P6)          |
|     +---+      4 place Jussieu, 75252 Paris Cedex 05          |
|                                                               |
| Tel  : + 33 1 44 27 39 67   Fax   :   + 33 1 44 27 62 86      |
| Telex:     UPMCSIX200145F   e-mail:   [email-masked]      |
o---------------------------------------------------------------o

------------------------------

Date: 14 Sep 94 13:23:08 GMT
From: [email-masked] (Steve Larsen)
Subject: inb(),outb()--help?

Hi:
  I would like to write a modem diagnostic program for Linux of the sort
I used to write for DOS in assembler.  But I don't want to write in assembler.
I want to use C, and am admittedly no wiz. Anyway, I 'ioperm' the correct
ports, then go to use inb(), and get the "undefined reference to __inb_p()"
message, or something to that affect, so I know it's tracing it back to
asm/io.h. Am I leaving out an include file, or do I have to fill out the
port call w/some sort of define? A one or 2 line example of code would
be greatly appreciated!
                      Thanks for yer time.

-- 
===============================================================================
Steve Larsen          [email-masked]        [email-masked]

------------------------------

From: [email-masked] (Mark Evans)
Subject: Re: AX25 & KISS Amateur Radio Protocols in Linux??
Date: Wed, 14 Sep 1994 15:01:51 GMT

Peter Onion ([email-masked]) wrote:

: Hi,  YES is the answer!  Alan Cox (iialan @ iifeak.swan.ac.uk) and the 
: guys at swansea are the people to talk to.  I'm runing 1.1.35 kernel with 
: 1.twenty somrthing of his networking code.  I goes realy well.  It even 
: runs WWW (a bit slowly I admit but....).  SMTP works ok to NOS systems, 
: but the NNTP in WNOS is not quite up to serving Linux clients (eg tin).  

Have you tried recompiling tin with the NNTP extensions disabled?

------------------------------

From: [email-masked] (Marc L. Allen)
Crossposted-To: gnu.g++.help,gnu.gcc.help,comp.os.linux.help
Subject: G++ using too much memory?!?
Date: 14 Sep 1994 14:15:11 GMT

Ok.. what's the deal with g++ and templates?  Everytime I use templates, my
cc1 compilation pass takes a massive amount of memory.

For example, I've got a template instantiation file that I use to create
the single copy of all my template functions.  Preprocessed only, it yields
a 700K file.

When g++ gets ahold of it, it requires almost 18 megabytes of memory!  Why?
Is there something I can do about this?  The resulting object file is only
300K or so. (No debug symbols)  I'm using GCC 2.6.0 with the following
command line:

        g++ -I- -I./(etc..) -c Templates.c

Please email any responses.  Thanks.

Marc
[email-masked]

------------------------------

From: [email-masked] (Richard L. Goerwitz)
Subject: Re: Acid
Reply-To: [email-masked]
Date: Wed, 14 Sep 1994 13:53:32 GMT

In article <[email-masked]> [email-masked] (Andries Brouwer) writes:
>
>I showed that your alleged examples were non-examples, i.e.,
>in an ideal world, where Linux handles all languages and all
>character sets equally well, the fragments of code you quoted
>would not have to change. So, please either come with other
>examples, or stop repeating this claim.

Perhaps I misunderstood.  If so, it would not be the first time.
In discussion of the HPFS code, for example, someone mentioned that
the way the driver was implemented was part of the HPFS standard,
and not part of Linux.  My question is this:  Just because the ac-
cepted standards for HPFS in one environment insist on consistent
character mappings, does this mean that within another environment
(GCC/ANSI C/Linux) these mappings will always be the same?  I am
not trying to push any particular line here.  If someone knows the
answer I'd appreciate being enlightened.

-- 

   -Richard L. Goerwitz              [email-masked]
   [email-masked]          rutgers!oddjob!ellis!goer

------------------------------

From: [email-masked] (Davor Jadrijevic)
Subject: Re: /proc/mtab progress
Date: 14 Sep 1994 15:06:14 GMT

: Somebody else is working ona directory /proc/mtab, with subdirectories for
: each mount point. Much nicer since you can get the path by chdir()/getpwd().

True, it's Stephen Rothwell <[email-masked]>. CDrom people prefer 
simple file solution (my solution is actually 30 C lines in kernel code). 
Maybe it could be possible to have both things. One could cd mtab whilst cat 
mtab still working :).

d.
--
<[email-masked]>, <[email-masked]>
================ Davor Jadrijevic ====================

------------------------------

Crossposted-To: comp.lang.fortran
From: [email-masked] (Alan Cox)
Subject: Re: Survey: who wants f77,cc,c++,hpf for linux?
Date: Wed, 14 Sep 1994 15:30:26 GMT

In article <[email-masked]> [email-masked] writes:
>>I've benchmarked the Watcom compiler (pre-pentium one which they claim is
>>much quicker) and gcc beat it fairly soundly.
>With which DOS extender for the Watcom compiler?
Not sure I'd have too look it up. But trust me I had more sense than to
include any DOS calls in the chunk of code I played with.
>On the Archimedes, Acorn's own compiler produces far, far better code than
>GCC (and Acorn's compiler is only about 150K compared the the standard 
>megabytes of GCC).
GCC doesn't/didn't know about the ARM's weird (but neat) conditional
skip on any instruction. I understand thats in gcc 2.6.x. Has anyone
compared this with Acorns compiler.
As to size - gcc is lumbering and a memory eater. Gcc could definitely
do with a diet.

>As for benchmarking GCC against 32bit DOS compilers - the context switching
>involved in running 32 bit compilers under a 16 bit O/S makes such a 
>difference that I don't understand how empirical comparisons can be 
>meaningful (unless you use the same extender for both compilers).

You don't do anything so daft as to include OS calls in a benchmark. You are
trying to test the compiler not the OS. You also unplug the network and
serial ports so you don't have streams of (eg mouse) interrupts disturbing
the raw code throughput.

Alan

-- 
  ..-----------,,----------------------------,,----------------------------,,
 // Alan Cox  //  [email-masked]   //  GW4PTS@GB7SWN.#45.GBR.EU  //
 ``----------'`----------------------------'`----------------------------''

------------------------------

From: [email-masked] (Julian Edwards)
Subject: LILO with >1.44Mb floppies
Date: 14 Sep 1994 15:43:02 GMT

Has anyone successfully got LILO to boot up while using a floppy formatted to
>1.44Mb with the kernel floppy patches?

I'm having big problems with this if I use an older BIOS that doesn't know 
about 2.88Mb floppies.

I've tried patching LILO so that it doesn't get the disk parameters from the 
BIOS when booting, but it will still fail, which I think is because the BIOS
cannot actually read the sectors.

Any help appreciated.

Cheers,
Ed
--
==============================================================================
Julian Edwards, Internet Systems Ltd. Woking, Surrey, UK.
Internet: [email-masked] (preferred) or [email-masked] (MSMAIL, aagh)
==============================================================================
Huby (n): A half-erection large enough to be a publicly embarrassing bulge in
the trousers, but not large enough to be of use to anybody.

------------------------------

From: [email-masked] (Werner Fouche )
Subject: Wanted: DAT Scsi Driver.
Date: 14 Sep 1994 14:05:36 GMT

I have an SCSI Exabyte DAT drive that once was connected
to a VAX, that I would like to use on our SCSI-based Linux
fileserver. So, far I've could not get Linux to talk to the
DAT drive. Do I need a special device driver for the DAT
drive, or should the genetic SCSI support of Linux be sufficient
to get me to DAT heaven!! :-)

Thanks

Werner Fouche'

------------------------------

From: [email-masked] (Bart Kindt)
Subject: AX25 & KISS Amateur Radio Protocols in Linux??
Date: Thu, 15 Sep 1994 03:32:35 GMT

Hi! Is any development going on to support AX25 and KISS protocols, so that 
Linux can be used as a Internet <> Amateur Radio Gateway (Just like KA9Q's 
NOS/NET program)?

Any info welcome!

Bart.

==============================================================================
Bart Kindt, System Supervisor, Efficient Software NZ LTD, Dunedin, New Zealand
Amateur Radio:  ZL4FOX / PA2FOX
==============================================================================

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.development) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Development Digest
******************************